#!/bin/sh
set -x
# Script to show valgrind's output on the test program in linux for comparison.
# Gives great stacks with line numbers.

VALGRIND=/usr/local/valgrind-10904/bin/valgrind

mkdir uninit-linux-g
cd uninit-linux-g
gcc -g ../uninit.c ../mid.c -o uninit
$VALGRIND -q ./uninit > valgrind.log 2>&1
$VALGRIND -v ./uninit > valgrind-verbose.log 2>&1
